package cz.moneta.test.dsl.ufo.banka.pages.main;

import cz.moneta.test.dsl.ufo.banka.pages.common.pages.PRP002_OBR001_PrintSpecialConditionsPage;
import cz.moneta.test.dsl.ufo.banka.pages.cards.credit.OPN002_OBR001_DoClientSignApproveOfCcActivationPage;
import cz.moneta.test.dsl.ufo.banka.pages.loans.expres.OPN008_S001_ExpressSignaturePage;
import cz.moneta.test.dsl.ufo.banka.pages.main.client.settings.PVX002_S002_AccountDispositionOwnerPage;
import cz.moneta.test.dsl.ufo.banka.pages.main.client.settings.VDB001_S001_SecondBankerJoiningPage;
import cz.moneta.test.harness.support.web.WebFlow;

public interface TIS051_OBR001_ContractDocumentationPageTransitions extends WebFlow<TIS051_OBR001_ContractDocumentationPageTransitions> {

    PVX002_S002_AccountDispositionOwnerPage onAccountDispositionPage();

    VDB001_S001_SecondBankerJoiningPage onSecondBankerJoiningPage();

    OPN008_S001_ExpressSignaturePage onExpressSignaturePage();

    OPN002_OBR001_DoClientSignApproveOfCcActivationPage onCreditCardActivationSignaturePage();

    BAL001_S008_SummaryStartDocumentsPage onSummaryStartDocumentsPage();

    PRP002_OBR001_PrintSpecialConditionsPage onPrintSpecialConditionsPage();
}